Bug 1226848 - libguestfs-1.29.43-1.fc23 FTBFS: Tests fail with recent kernels
Summary: libguestfs-1.29.43-1.fc23 FTBFS: Tests fail with recent kernels
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2015-06-01 09:37 UTC by Petr Pisar
Modified: 2015-09-21 22:05 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-21 22:05:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-06-01 09:37:14 UTC
libguestfs-1.29.43-1.fc23 fails to build in F23 since upgrading kernel from 4.1.0-0.rc4.git0.1.fc23 to 4.1.0-0.rc4.git1.1.fc23. See <http://koschei.cloud.fedoraproject.org/package/libguestfs>.

Comment 1 Richard W.M. Jones 2015-06-01 09:52:36 UTC
Seems to be a libvirt failure:

libguestfs: opening libvirt handle: URI = qemu:///session, auth = default+wrapper, flags = 0
libvirt: XML-RPC error : Failed to connect socket to '/builddir/.cache/libvirt/libvirt-sock': Connection refused
libguestfs: trace: launch = -1 (error)
could not connect to libvirt (URI = qemu:///session): Failed to connect socket to '/builddir/.cache/libvirt/libvirt-sock': Connection refused [code=38 domain=7] at /builddir/build/BUILD/libguestfs-1.29.43/resize/test-virt-resize.pl line 160.

Full log:
https://kojipkgs.fedoraproject.org/work/tasks/1696/9821696/build.log

Comment 2 Jan Kurik 2015-07-15 14:04:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Cole Robinson 2015-09-21 22:05:04 UTC
Pretty sure this isn't an issue anymore


Note You need to log in before you can comment on or make changes to this bug.